> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/it/risorse-per-sviluppatori/api-docs/retrieve-documents.md).

# Recupera documenti

{% openapi src="/files/TgprWtaxn0x1jf4BJIMN" path="/documents/" method="get" %}
[rememberizer\_openapi.yml](https://2549770777-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F57qWu8jBt3M3SWmz6Y83%2Fuploads%2Fgit-blob-4f45581f68048634d677b5e3d260a677eeb0242f%2Frememberizer_openapi.yml?alt=media\&token=7f673453-89b5-4d08-beab-3fb44863de41)
{% endopenapi %}

## Esempi di Richieste

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  "https://api.rememberizer.ai/api/v1/documents/?page=1&page_size=20&integration_type=google_drive" \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
```

{% hint style="info" %}
Sostituisci `YOUR_JWT_TOKEN` con il tuo effettivo token JWT.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getDocuments = async (page = 1, pageSize = 20, integrationType = 'google_drive') => {
  const url = new URL('https://api.rememberizer.ai/api/v1/documents/');
  url.searchParams.append('page', page);
  url.searchParams.append('page_size', pageSize);
  if (integrationType) {
    url.searchParams.append('integration_type', integrationType);
  }
  
  const response = await fetch(url.toString(), {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer YOUR_JWT_TOKEN'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getDocuments();
```

{% hint style="info" %}
Sostituisci `YOUR_JWT_TOKEN` con il tuo effettivo token JWT.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_documents(page=1, page_size=20, integration_type=None):
    headers = {
        "Authorization": "Bearer YOUR_JWT_TOKEN"
    }
    
    params = {
        "page": page,
        "page_size": page_size
    }
    
    if integration_type:
        params["integration_type"] = integration_type
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/documents/",
        headers=headers,
        params=params
    )
    
    data = response.json()
    print(data)

get_documents(integration_type="google_drive")
```

{% hint style="info" %}
Sostituisci `YOUR_JWT_TOKEN` con il tuo effettivo token JWT.
{% endhint %}
{% endtab %}
{% endtabs %}

## Parametri di Richiesta

| Parametro         | Tipo    | Descrizione                                                                                                   |
| ----------------- | ------- | ------------------------------------------------------------------------------------------------------------- |
| page              | intero  | Numero di pagina per la paginazione. Il valore predefinito è 1.                                               |
| page\_size        | intero  | Numero di elementi per pagina. Il valore predefinito è 10.                                                    |
| integration\_type | stringa | Filtra i documenti per tipo di integrazione. Opzioni: google\_drive, slack, dropbox, gmail, common\_knowledge |

## Formato di Risposta

```json
{
  "count": 257,
  "next": "https://api.rememberizer.ai/api/v1/documents/?page=2&page_size=20&integration_type=google_drive",
  "previous": null,
  "results": [
    {
      "document_id": "1aBcD2efGhIjK3lMnOpQrStUvWxYz",
      "name": "Proposta di Progetto.docx",
      "type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
      "path": "/Documents/Projects/Proposal.docx",
      "url": "https://drive.google.com/file/d/1aBcD2efGhIjK3lMnOpQrStUvWxYz/view",
      "id": 12345,
      "integration_type": "google_drive",
      "source": "user@example.com",
      "status": "indicizzato",
      "indexed_on": "2023-06-15T10:30:00Z",
      "size": 250000
    },
    // ... più documenti
  ]
}
```

## Tipi di integrazione disponibili

| Tipo di integrazione | Descrizione                   |
| -------------------- | ----------------------------- |
| google\_drive        | Documenti da Google Drive     |
| slack                | Messaggi e file da Slack      |
| dropbox              | File da Dropbox               |
| gmail                | Email da Gmail                |
| common\_knowledge    | Fonti di conoscenza pubbliche |

Questo endpoint recupera un elenco di documenti dalle tue fonti di dati collegate. Puoi filtrare per tipo di integrazione per concentrarti su fonti specifiche.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/it/risorse-per-sviluppatori/api-docs/retrieve-documents.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
